Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.LocalLiveStatus

    java.lang.Object
      java.lang.Enum<Conversation.LocalLiveStatus>
          com.skype.api.Conversation.LocalLiveStatus

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Conversation.LocalLiveStatus>

Enclosing class:
  Conversation

    public static enum Conversation.LocalLiveStatus

extends java.lang.Enum<Conversation.LocalLiveStatus>
implements EnumConverting

Enum Constant Summary
`IM_LIVE` the conference is live for me
`NONE` there isn't a live session
`ON_HOLD_LOCALLY` I put the live session on hold
`ON_HOLD_REMOTELY` the live session was put on hold by someone else
`OTHERS_ARE_LIVE` there is a live session on-going, I'm not participating but I could join
`OTHERS_ARE_LIVE_FULL` there is a live session on-going without me, but I can't join because it's full
`PLAYING_VOICE_MESSAGE` playing a voicemail (dialog only)
`RECENTLY_LIVE` a live session just finished, we stay in this state for RECENTLY_LIVE_TIMEOUT setup key
`RECORDING_VOICE_MESSAGE` recording a voicemail (dialog only)
`RINGING_FOR_ME` there is a live session ringing
`STARTING` trying to start or join a live session
`TRANSFERRING` call is being transferred

Field Summary
`static int` | `IM_LIVE_VALUE`
`static int` | `NONE_VALUE`
`static int` | `ON_HOLD_LOCALLY_VALUE`
`static int` | `ON_HOLD_REMOTELY_VALUE`
`static int` | `OTHERS_ARE_LIVE_FULL_VALUE`
`static int` | `OTHERS_ARE_LIVE_VALUE`
`static int` | `PLAYING_VOICE_MESSAGE_VALUE`
`static int` | `RECENTLY_LIVE_VALUE`
`static int` | `RECORDING_VOICE_MESSAGE_VALUE`
`static int` | `RINGING_FOR_ME_VALUE`
`static int` | `STARTING_VALUE`
`static int` | `TRANSFERRING_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Conversation.LocalLiveStatus` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Conversation.LocalLiveStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.LocalLiveStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final Conversation.LocalLiveStatus NONE

  there isn't a live session

### STARTING

    public static final Conversation.LocalLiveStatus STARTING

  trying to start or join a live session

### RINGING_FOR_ME

    public static final Conversation.LocalLiveStatus RINGING_FOR_ME

  there is a live session ringing

### IM_LIVE

    public static final Conversation.LocalLiveStatus IM_LIVE

  the conference is live for me

### ON_HOLD_LOCALLY

    public static final Conversation.LocalLiveStatus ON_HOLD_LOCALLY

  I put the live session on hold

### ON_HOLD_REMOTELY

    public static final Conversation.LocalLiveStatus ON_HOLD_REMOTELY

  the live session was put on hold by someone else

### OTHERS_ARE_LIVE

    public static final Conversation.LocalLiveStatus OTHERS_ARE_LIVE

  there is a live session on-going, I'm not participating but I could join

### OTHERS_ARE_LIVE_FULL

    public static final Conversation.LocalLiveStatus OTHERS_ARE_LIVE_FULL

  there is a live session on-going without me, but I can't join because it's full

### PLAYING_VOICE_MESSAGE

    public static final Conversation.LocalLiveStatus PLAYING_VOICE_MESSAGE

  playing a voicemail (dialog only)

### RECORDING_VOICE_MESSAGE

    public static final Conversation.LocalLiveStatus RECORDING_VOICE_MESSAGE

  recording a voicemail (dialog only)

### RECENTLY_LIVE

    public static final Conversation.LocalLiveStatus RECENTLY_LIVE

  a live session just finished, we stay in this state for RECENTLY_LIVE_TIMEOUT setup key

### TRANSFERRING

    public static final Conversation.LocalLiveStatus TRANSFERRING

  call is being transferred

Field Detail

### NONE_VALUE

    public static final int NONE_VALUE

See Also:
  Constant Field Values

### STARTING_VALUE

    public static final int STARTING_VALUE

See Also:
  Constant Field Values

### RINGING_FOR_ME_VALUE

    public static final int RINGING_FOR_ME_VALUE

See Also:
  Constant Field Values

### IM_LIVE_VALUE

    public static final int IM_LIVE_VALUE

See Also:
  Constant Field Values

### ON_HOLD_LOCALLY_VALUE

    public static final int ON_HOLD_LOCALLY_VALUE

See Also:
  Constant Field Values

### ON_HOLD_REMOTELY_VALUE

    public static final int ON_HOLD_REMOTELY_VALUE

See Also:
  Constant Field Values

### OTHERS_ARE_LIVE_VALUE

    public static final int OTHERS_ARE_LIVE_VALUE

See Also:
  Constant Field Values

### OTHERS_ARE_LIVE_FULL_VALUE

    public static final int OTHERS_ARE_LIVE_FULL_VALUE

See Also:
  Constant Field Values

### PLAYING_VOICE_MESSAGE_VALUE

    public static final int PLAYING_VOICE_MESSAGE_VALUE

See Also:
  Constant Field Values

### RECORDING_VOICE_MESSAGE_VALUE

    public static final int RECORDING_VOICE_MESSAGE_VALUE

See Also:
  Constant Field Values

### RECENTLY_LIVE_VALUE

    public static final int RECENTLY_LIVE_VALUE

See Also:
  Constant Field Values

### TRANSFERRING_VALUE

    public static final int TRANSFERRING_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Conversation.LocalLiveStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.LocalLiveStatus c : Conversation.LocalLiveStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.LocalLiveStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Conversation.LocalLiveStatus get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.